#ifndef Einstellungen_H
#define Einstellungen_H

#include <Fenster.h>
#include <Knopf.h>

using namespace Framework;

class Einstellungen : public virtual ReferenceCounter
{
private:
    Fenster *f;
    Knopf *ok;
    TextFeld *maxFPS;
    TextFeld *guiSound;
    TextFeld *breite;
    TextFeld *height;

public:
    // Konstruktor
    Einstellungen( Fenster *zF );
    // Destruktor
    ~Einstellungen();
    // nicht constant
    void setSichtbar();
    bool closeME( MausEreignis &me );
    bool okME( MausEreignis &me );
};

// Ereignisse
bool einstellungenSchlieenME( void *p, void *obj, MausEreignis me );
bool einstellungenOkME( void *p, void *obj, MausEreignis me );

#endif