#ifndef Passwort_H
#define Passwort_H

#include <Knopf.h>
#include <Fenster.h>
#include <TextFeld.h>
#include <MausEreignis.h>
#include <TastaturEreignis.h>
#include <Schrift.h>
#include <Bildschirm.h>
#include "..\..\Aktionen\AktionsThread.h"

using namespace Framework;

class Passwortndern : public virtual ReferenceCounter
{
private:
    Knopf *passwortndern;
    Fenster *fenster;
    TextFeld *name;
    TextFeld *passwort;
    TextFeld *neuPasswort;
    TextFeld *neuPasswort2;
    TextFeld *geheimnis;
    Knopf *weiter;
    TextFeld *nachricht;
    void zeigeNachricht( const char *txt );

public:
    // Konstruktor
    Passwortndern( Fenster *zVorLoginFenster );
    // Destruktor
    ~Passwortndern();
    // Knopfdruck
    void druckFremdKnopf(); // Ein anderer Knopf wurde gedrckt
    bool passwortndernME( void *obj, MausEreignis me ); // MausEreignis im Knopf passwortVergessen
    bool nameTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld name
    bool passwortTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld passwort
    bool neuPasswortTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld neuPasswort
    bool neuPasswort2TE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld neuPasswort2
    bool geheimnisTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld geheimnis
    bool weiterME( void *obj, MausEreignis me ); // MausEreignis im Knopf weiter
    void setResult( bool ret ); // Setzt den Returnwert
};

class PasswortVergessen : public virtual ReferenceCounter
{
private:
    Knopf *passwortVergessen;
    Fenster *fenster;
    TextFeld *name;
    TextFeld *geheimnis;
    Knopf *weiter;
    TextFeld *nachricht;
    void zeigeNachricht( const char *txt );

public:
    // Konstruktor
    PasswortVergessen( Fenster *zVorLoginFenster );
    // Destruktor
    ~PasswortVergessen();
    // Knopfdruck
    void druckFremdKnopf(); // Ein anderer Knopf wurde gedrckt
    bool passwortVergessenME( void *obj, MausEreignis me ); // MausEreignis im Knopf passwortVergessen
    bool nameTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld name
    bool geheimnisTE( void *obj, TastaturEreignis te ); // Tastaturereignis im Textfeld geheimnis
    bool weiterME( void *obj, MausEreignis me ); // MausEreignis im Knopf weiter
    void setResult( bool ret ); // Setzt den Returnwert
};

// messages
bool passwortndernPasswortndernME( void *p, void *obj, MausEreignis me );
bool passwortndernNameTE( void *p, void *obj, TastaturEreignis te );
bool passwortndernPasswortTE( void *p, void *obj, TastaturEreignis te );
bool passwortndernNeuPasswortTE( void *p, void *obj, TastaturEreignis te );
bool passwortndernNeuPasswort2TE( void *p, void *obj, TastaturEreignis te );
bool passwortndernGeheimnisTE( void *p, void *obj, TastaturEreignis te );
bool passwortndernWeiterME( void *p, void *obj, MausEreignis me );

bool passwortVergessenPasswortVergessenME( void *p, void *obj, MausEreignis me );
bool passwortVergessenNameTE( void *p, void *obj, TastaturEreignis te );
bool passwortVergessenGeheimnisTE( void *p, void *obj, TastaturEreignis te );
bool passwortVergessenWeiterME( void *p, void *obj, MausEreignis me );

#endif